Skip to main content
GET
/
api
/
decks
/
{deckId}
/
slides
List slides
curl --request GET \
  --url https://app.demandiq.com/api/decks/{deckId}/slides
{
  "slides": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slideId": "<string>",
      "title": "<string>",
      "bullets": [
        "<string>"
      ],
      "narrationScript": "<string>",
      "slideContext": "<string>",
      "audioUrl": "<string>",
      "heroImg": "<string>",
      "wordTimings": [
        {
          "word": "<string>",
          "startTime": 123,
          "endTime": 123
        }
      ],
      "orderIndex": 123,
      "slideType": "standard",
      "productData": {
        "subtitle": "<string>",
        "brandLogo": "<string>",
        "disclaimer": "<string>",
        "defaultSelectedTier": "good",
        "backgroundColor": "<string>",
        "selectionColor": "<string>",
        "roundTo": 123,
        "good": {},
        "better": {},
        "best": {}
      }
    }
  ]
}

Path Parameters

deckId
string<uuid>
required

Deck ID

Response

200 - application/json

List of slides

slides
object[]